package de.intevation.gnv.raster;

import org.w3c.dom.Element;

/**
 * @author <a href="mailto:sascha.teichmann@intevation.de">Sascha L. Teichmann</a>
 */
public interface Filter
{
    public interface Factory {

        void init(Element element);

        Filter create();

    } // interface Factory

    Raster filter(Raster raster);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
